MINOVAES - PRODUCT - Support #617

[HR - TM] Generate Works Schedule Calendar
12/07/2021 12:43 PM - Kezia Pawitra Yulianti

Status: QA Test Start date: 12/07/2021
Priority: Immediate Due date: 01/31/2022
Assignee: Kezia Pawitra Yulianti % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear Developer,

mohon bantuannya untuk proses generate WS dan PWS sesuai ketentuan di bawah ini ya:

1. pada tabel PHRTMWSTYP sudah ada field GeneratePWS dgn isian Yes (1)/No (0)

2. Jika Yes, saat proses generate WS calendar dilakukan untuk WS Type terkait maka generate PWS juga secara otomatis

3. Jika No, saat proses generate WS calendar dilakukan untuk WS Type terkait maka tidak perlu dilakukan generate PWS juga

Jika ada yg ingin ditanyakan, silahkan ya
Tks

History

#1 - 12/07/2021 12:43 PM - Kezia Pawitra Yulianti

- Status changed from New to Assigned

#2 - 01/27/2022 01:54 PM - Kezia Pawitra Yulianti
- Due date changed from 12/10/2021 to 01/31/2022

Mang wanto,
kalau bisa mulai di cicil yaa untuk task2 improvement product ini
Tks

#3 - 04/26/2022 01:31 PM - Saswanto Tampan
- Status changed from Assigned to QA Test

- Assignee changed from Saswanto Tampan to Kezia Pawitra Yulianti

penambahan pada table pcmwfcustparam
dengan id INSERTPHRPA0125

DECLARE @now VARCHAR DECLARE @GeneratePWS INT=0 SET @now = dbo.fn_formatdatetime(GETDATE, 'yyyymmdd') SET
@GeneratePWS =(SELECT GeneratePWS FROM PHRTMWSTYP WHERE WorkScheduleType = @WorkScheduleType AND StartDate <= @now
AND EndDate >=@now) IF @GeneratePWS = 1 IF @Year <> 0 BEGIN INSERT INTO PHRPA0125 SELECT DISTINCT

WSCA.DateSpecified, WSCA.DateSpecified,PA25.EmployeelD,WSCA.DayType,WSCA.PublicHoliday,",'BY
SYSTEM',dbo.fn_formatdatetime(@now,'YYYYmmddHHmmss'),'BY SYSTEM',dbo.fn_formatdatetime(@now,"YYYYmmddHHmmss') FROM
PHRPA0025 PA25 LEFT OUTER JOIN PHRTMWSCAL WSCA ON WSCA.WorkScheduleType = @WorkScheduleType WHERE ( PA25.StartDate
<= @now AND PA25.EndDate >=@now)AND PA25.WorkScheduleType= @WorkScheduleType AND WSCA.Year = @Year select * from
PHRPAO0125 PA25 where PA25.StartDate <= @now AND PA25.EndDate >=@now END IF @Year = 0 BEGIN DECLARE @Counter INT DECLARE
@Coun INT SET @Counter=0 SET @Coun=(SELECT DATEDIFF AS DateDiff) WHILE ( @Counter <= @Coun) BEGIN INSERT INTO PHRPA0125
SELECT WSCA.DateSpecified, WSCA.DateSpecified,PA25.EmployeelD,WSCA.DayType,WSCA.PublicHoliday,",'BY
SYSTEM',dbo.fn_formatdatetime(@now,'YYYYmmddHHmmss'),'BY SYSTEM',dbo.fn_formatdatetime(@now,'YYYYmmddHHmmss') FROM
PHRPA0025 PA25 LEFT OUTER JOIN PHRTMWSCAL WSCA ON WSCA.WorkScheduleType = @WorkScheduleType WHERE ( PA25.StartDate
<= @now AND PA25.EndDate >=@now)AND PA25.WorkScheduleType= @WorkScheduleType AND ( WSCA.DateSpecified
=dbo.fn_formatdatetime(DATEADD,'YYYYMMDD")) SET @Counter = @Counter + 1 END select * from PHRPA0125 PA25 where
PA25.StartDate <= @now AND PA25.EndDate >=@now END

perbaikan pada file
..\app\controller\masterdata\tm\CtriGenerateWorkSchedule.js
//ISASWANTO 26APRIL2022

#4 - 04/27/2022 03:08 PM - Kezia Pawitra Yulianti
- Status changed from QA Test to Revise

- Assignee changed from Kezia Pawitra Yulianti to Saswanto Tampan
Dear Mang Wanto,

sesuai hasil test dan diskusi, berikut ditemukan bbrp catatan sbb:

1. Saat saving di MD Work schedule (PHRPA0025), yg terbentuk di field WS Type bukan deskripsi atau kode ws type nya melainkan kode 1 atau 0
2. Saat generate ws calendar, template wsgenerate tidak muncul shg day type nya juga tidak ter generate

3. Hal ini menyebabkan saat dilakukan generate ws calendar dgn flag pws yes, tidak membentuk personal WS yg ada di tabel PHRPA0125

Mohon bantuannya yaa untuk dapat memperbaiki issue saving dan generate day type nya yg tidak terbentuk ssi poin 1 dan 2 diatas
Kalau ada yg msh belum jelas dan tercapture di redmine, silahkan di informasikan kembali
Thanks

#5 - 04/27/2022 04:11 PM - Saswanto Tampan
- Status changed from Revise to QA Test

- Assignee changed from Saswanto Tampan to Kezia Pawitra Yulianti

NO 1

UPDATE PADA FILE :

C:\ClientApp\2203 Product Demo\U\scripts\mdgenerator.js
note: //saswanto 27april2022

NO 2
ITU KARENA DI TABLE wsgen BELUM DI BUATKAN DATA YANG SESUAI DENGAN WorkScheduleType NYA

NO 3
JIKA SUDAH SEMUA MAKA BERHASIL DAN SELAMAT SAMPAI TUJUAN

#6 - 04/28/2022 12:43 PM - Kezia Pawitra Yulianti
- Status changed from QA Test to Revise

- Assignee changed from Kezia Pawitra Yulianti to Saswanto Tampan

Dear Mang Wanto,

sesuai diskusi, untuk hasil generate ws cal dan phrpa0125 nya sudah sukses sesuai ketentuan yg disampaikan diatas.

Namun jika proses generate ws calendar dilakukan secara cross year hal ini msh ada kendala.

Seharusnya dibuatkan saja validasi bahwa tidak bisa melakukan generate ws calendar dgn pilihan month (filter secara cross year) saat memilih start
date dan end date nya bukan tahun yg sama.

Tabel PDSTMO0002 untuk filter yg ada di menu Generate WS Calendar
Tks
#7 - 05/13/2022 10:50 AM - Saswanto Tampan

- Status changed from Revise to QA Test

- Assignee changed from Saswanto Tampan to Kezia Pawitra Yulianti

update pada file
..\Ul\app\controller\masterdata\tm\CtriGenerateWorkSchedule.js
